// $Id: test_cleararray.c,v 1.3 2017/04/05 01:22:22 leavens Exp leavens $
#include <stdbool.h>
#include "tap.h"
#include "cleararray.h"
// ensures: result is true just when all the elements in a are equal to 0.0.
static bool checkIt(const double a[], const int sz) {  // A testing helper,
    for (int i = 0; i < sz; i++) {                     // not for you to write!
	if (a[i] != 0.0) { return false; }
    }
    return true;
}
int main() {
    double a5[5] = {0.5, 1.5, 2.5, 3.5, 4.5};
    cleararray(a5, 5);
    ok(checkIt(a5, 5), "checkIt(a5, 5)");
    double a10[10] = {0.01, 1.14, 2.73, 3.14, 4.44, 5.97, 6.22, 7.31, 8.99, 9.99};
    cleararray(a10, 10);
    ok(checkIt(a10, 10), "checkIt(a10, 10)");
    double a2000[2000];
    cleararray(a2000, 2000);
    ok(checkIt(a2000, 2000), "checkIt(a2000, 2000)");
    return exit_status();
}
