// $Id: initarray.h,v 1.1 2017/04/05 15:01:23 leavens Exp leavens $
#ifndef INITARRAY_H
#define INITARRAY_H 1
// requires: arr is allocated and has at least sz elements.
// modifies: arr[*], i.e., the elements of arr;
// ensures: for all i such that 0 <= i and i < sz, arr[i] == val.
extern void initarray(double arr[], int sz, const double val);
#endif
