// $Id: test_countelems.c,v 1.2 2017/04/05 00:57:53 leavens Exp $
#include "tap.h"
#include "countelems.h"
int main() {
    int a1[1] = {32};
    ok(countelems(32, a1, 1) == 1);
    ok(countelems(9, a1, 1) == 0);
    int a2[2] = {32, 23};
    ok(countelems(32, a2, 2) == 1);
    ok(countelems(23, a2, 2) == 1);
    ok(countelems(10, a2, 2) == 0);
    int a5[5] = {0, 5, 10, 5, 0};
    ok(countelems(0, a5, 5) == 2);
    ok(countelems(10, a5, 5) == 1);
    ok(countelems(5, a5, 5) == 2);
    ok(countelems(15, a5, 5) == 0);
    int a300[300]; // fill with 0, -1, -2, -3, -4, -5, 0, -1, ...
    for (int i = 0; i < 300; i++) { a300[i] = -(i % 6); }
    ok(countelems(0, a300, 300) == 50);
    ok(countelems(-1, a300, 300) == 50);
    ok(countelems(-2, a300, 300) == 50);
    ok(countelems(-3, a300, 300) == 50);
    ok(countelems(-4, a300, 300) == 50);
    ok(countelems(-5, a300, 300) == 50);
    ok(countelems(-6, a300, 300) == 0);
    ok(countelems(23, a300, 300) == 0);
    return exit_status();
}
