// $Id: test_diffcount.c,v 1.1 2017/04/05 15:01:23 leavens Exp leavens $
#include "tap.h"
#include "diffcount.h"
int main() {
    int a1[1] = {32};
    ok(diffcount(9, a1, 1) == 1);
    ok(diffcount(32, a1, 1) == 0);
    int a2[2] = {32, 23};
    ok(diffcount(32, a2, 2) == 1);
    ok(diffcount(23, a2, 2) == 1);
    ok(diffcount(10, a2, 2) == 2);
    int a5[5] = {0, 5, 10, 5, 0};
    ok(diffcount(0, a5, 5) == 3);
    ok(diffcount(10, a5, 5) == 4);
    ok(diffcount(5, a5, 5) == 3);
    ok(diffcount(15, a5, 5) == 5);
    int a300[300]; // fill with 0, -1, -2, -3, -4, -5, 0, -1, ...
    for (int i = 0; i < 300; i++) { a300[i] = -(i % 6); }
    ok(diffcount(0, a300, 300) == 250);
    ok(diffcount(-1, a300, 300) == 250);
    ok(diffcount(-2, a300, 300) == 250);
    ok(diffcount(-3, a300, 300) == 250);
    ok(diffcount(-4, a300, 300) == 250);
    ok(diffcount(-5, a300, 300) == 250);
    ok(diffcount(-6, a300, 300) == 300);
    ok(diffcount(23, a300, 300) == 300);
    return exit_status();
}
